Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	Library providing XSLT support.
Name:		libxslt
Version:	1.1.24
Release:	1
License: 	GNU/GPL
URL:		http://xmlsoft.org/XSLT
Group:		System/Libraries
Source0:	libxslt-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libxml2
BuildRequires:	libxml2-devel
BuildRequires:	glibc-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	zlib
BuildRequires:	python

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
This C library lets you transform XML files into other XML files (or
HTML, text, etc.) using the standard XSLT stylesheet transformation
mechanism.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release} libxml2-devel

%description	devel
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.15
installed.

%package	doc
Summary:	%{name} documents.
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/xsltproc
%_libdir/*.so.*
%_libdir/xsltConf.sh
%_libdir/python2.5
%_libdir/libxslt-plugins
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_bindir/xslt-config
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
%_aclocal

%files doc
%defattr(-,root,root)
%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 24 2008 Christian Wasme <wasem@ccux-linux.de> 1.1.24-1
- Version update
* Thu Aug 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.22-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.17-2
- rebuilt against python 2.5
* Mon Jul 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.17-1
- Version update
* Sun Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.16-1
- Version update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.15-2
- Added BuildRequires
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 1.1.15-1
- Update to Version 1.1.15, added doc package
* Wed Jul 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.14-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.1.14-1
- Version Update to 1.1.14
* Mon Feb 07 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.12-1
- Version Update to 1.1.12
